# Overview 

[![Build Status](https://drone.nitowa.xyz/api/badges/npm-packages/xrpio/status.svg)](https://drone.nitowa.xyz/npm-packages/xrpio) 
[![Current Version](https://img.shields.io/npm/v/xrpio.svg)](https://www.npmjs.com/package/xrpio)
[![Weekly Downloads](https://img.shields.io/npm/dw/xrpio?color=important)](https://www.npmjs.com/package/xrpio)
[![License Type](https://img.shields.io/npm/l/xrpio?color=blueviolet)](https://gitea.nitowa.xyz/docs/xrpio/src/branch/master/LICENSE.md)

xrpio is a library that allows you to write and read arbitrary data in the ripple blockchain.

# How to install
```
npm i xrpio
```

# Quickstart
```typescript
import {treeRead, treeWrite} from 'xrpio'

const api = new RippleAPI({ server: "..." }) 
await api.connect()

const dataRootHash = await treeWrite(
    api, 
    "Arbitrary string data 123", 
    { 
        address: "Sender address", 
        secret: "Sender private key"
    }, 
    "Receiver address"
)

const data = await treeRead(api, [dataRootHash])
console.log(data) //"Arbitrary string data 123"

```

# [Full documentation](https://gitea.nitowa.xyz/docs/xrpio)
